%define release 2
Name:		ffmpeg-old
Version:	0.10.16
Release:	%{release}%{?dist}
Summary:	Digital VCR and streaming server

Group:		 Applications/Multimedia
License:	GPLv2+
URL:		http://ffmpeg.org/
Buildrequires:  ffmpeg-libs = 0.10.16

%description
FFmpeg is a complete and free Internet live audio and video
broadcasting solution for Linux/Unix. It also includes a digital
VCR. It can encode in real time in many formats including MPEG1 audio
and video, MPEG4, h263, ac3, asf, avi, real, mjpeg, and flash.

!!! BIG FAT WARNING!!!
This package is made for compatibility with older components
It is not intended to be used in insecure environment.

This is only a copy of ffmpeg-libs-0.10.16 x64 for compatibility if you are using a newer version, like needed for zoneminder. 

The ffmpeg-old* rpms should stay in smedev. Only ffmpeg-libpostproc and ffmpeg-compat_0.10.16 packages are intended to be pushed in non dev repo
#----------------------------------------------------

%package        -n ffmpeg-libpostproc
Summary:        Helper for ffmpeg upgrade
Group:          Applications/Multimedia
Requires:       ffmpeg >=  %{version}
Requires:       ffmpeg-compat

%description    -n ffmpeg-libpostproc
This is to solve upgrading from rpmforge old ffmpeg package to rpmfusion last package.
#----------------------------------------------------

%package        -n ffmpeg-compat_0.10.16
Summary:        Helper for ffmpeg upgrade
Group:          Applications/Multimedia
Requires:       ffmpeg >= 2.6.4
Obsoletes:	ffmpeg-libpostproc
Requires:       ffmpeg-compat

%description    -n ffmpeg-compat_0.10.16
This is only a copy of ffmpeg-libs-0.10.16 x64 for compatibility if you are using a newer version, like needed for zoneminder.
if you need to install last version of zoneminder ffmpeg
#----------------------------------------------------



%prep


%build


%install
#cp -R usr %{buildroot}
mkdir -p %{buildroot}/%{_libdir}
cp -a %{_libdir}/libavutil* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libavcodec* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libavdevice* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libavfilter* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libavformat* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libavutil* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libcelt0* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libpostproc* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libswresample* %{buildroot}/%{_libdir}
cp -a %{_libdir}/libswscale* %{buildroot}/%{_libdir}

%files
%defattr(-,root,root,-)
%doc 
%{_libdir}/lib*.so.*

%files -n     ffmpeg-libpostproc
%defattr(-,root,root,-)
%doc

%files -n ffmpeg-compat_0.10.16
%defattr(-,root,root,-)
%doc
%{_libdir}/lib*.so.*


%changelog
* Sat Dec 29 2018 Jean-Philipe Pialasse <tests@pialasse.com> Version:	0.10.16-2.sme
- trying to solve conflicts [SME: 10265]

* Sat Dec 22 2018 Jean-Philipe Pialasse <tests@pialasse.com> Version:	0.10.16-1.sme
- fix incompatibility between zm ffmpeg version and what requires some packages [SME: 10672]
  ffmpeg-compat_0.10.16 provides needed libraries from rpmfusion package
- fix dependency error while trying to upgrade form rpmfoge old ffmpeg to rpmfusion version [SME: 10265]
  empty rpm ffmpeg-libpostproc will do the trick, while what was in this rpm has now moved to ffmpeg-compat



